package com.hongyegroup.cpt_newsfeed.ui.activity

import android.os.Bundle
import com.guadou.cs_cptservices.base.activity.YYBaseVMActivity
import com.guadou.lib_baselib.base.vm.EmptyViewModel
import com.guadou.lib_baselib.ext.commContext
import com.guadou.lib_baselib.ext.gotoActivity
import com.guadou.lib_baselib.utils.StatusBarUtils
import com.hongyegroup.cpt_newsfeed.R
import com.hongyegroup.cpt_newsfeed.ui.fragment.NewsFeedMainFragment

/**
 * 朋友圈主页 实际上为空容器
 * 内部加载Fragment实现
 */
class NewsFeedMainActivity : YYBaseVMActivity<EmptyViewModel>() {

    companion object {
        fun startInstance() {
            commContext().gotoActivity<NewsFeedMainActivity>()
        }
    }

    override fun getLayoutIdRes(): Int = R.layout.activity_newsfeed_main

    override fun startObserve() {
    }

    override fun init(savedInstanceState: Bundle?) {

        StatusBarUtils.immersive(this)

        supportFragmentManager.beginTransaction()
            .add(R.id.fragment_container, NewsFeedMainFragment())
            .commitAllowingStateLoss()
    }


}