package com.guadou.cs_cptservices.commonBean;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class LevelPoints implements Serializable {

    /**
     * total : 0
     * level : 1
     * level_alias : Bronze
     * "daily_check_in": false,
     * "promotion_apply": false,
     * "news_feed_post": false
     * continuous_days : 0
     */
    @SerializedName("available")
    public int points;

    public int total;

    public String level;
    public String level_alias;
    public boolean daily_check_in;
    public boolean promotion_apply;
    public boolean news_feed_post;
    public int continuous_days;

    public boolean browse_news_feed;  //浏览NewsFeed
    public int give_likes;  //点赞数量
    public int get_likes;   //获取点赞数量
    public boolean post_video;  //发布视频

}
